import {Component} from "@angular/core";
import {Router} from "@angular/router";
import {Location} from "@angular/common";
import * as ApplicationSettings from "application-settings";

@Component({
    selector: "list",
    templateUrl: "./components/list/list.component.html",
})
export class ListComponent {

    public personList: Array<Object>;

    constructor(private router: Router, private location: Location) {
        this.router = router;
        this.personList = JSON.parse(ApplicationSettings.getString("people", "[]"));
        this.location.subscribe((path) => {
            this.personList = JSON.parse(ApplicationSettings.getString("people", "[]"));
        });
    }

    create() {
        this.router.navigate(["/create"]);
    }

}
